# $Id: gtkspell.spec,v 1.4 2003/02/06 12:45:04 dude Exp $

Name: gtkspell
Summary: Gtk2 spell checker interface library.
Version: 2.0.4
Release: fr2
License: GPL
Group: System Environment/Libraries
Source: http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz
URL: http://gtkspell.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2, pspell
BuildRequires: gtk2-devel, pspell-devel, libtool

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
in a GtkTextView widget. Right-clicking a misspelled word pops up a
menu of suggested replacements.


%package devel
Summary: Static libraries and header files from gtkspell.
Group: Development/Libraries
Requires: %{name} = %{version}, pspell-devel, pkgconfig

%description devel
Static libraries and header files from gtkspell.


%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
rm -rf %{buildroot}
# Ugly workaround for missing file
touch docs/html/index.sgml
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Thu Feb  6 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added missing pspell-devel dep to the devel package.

* Thu Jan 29 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.4.
- Spec file cleanup.
- Added the gtk-doc stuff.

- Spec file cleanup.
* Mon Jan 20 2003 Warren Togami <warren@togami.com>
- Add BuildRequires: pspell-devel

* Fri Dec 27 2002 Warren Togami <warren@togami.com>
- Packaged for Fedora

* Sat Oct 26 2002 Alex Converse 
- Initial RPM release.

